﻿'
'Copyright(c)株式会社トラスト・ソフトウェア・システム,All Rights Reserved.
'

Imports PDFTools.PdfImagerLP

Module toTiff

	Sub Main(ByVal args As String())
		If args.Length < 1 Then
			Console.WriteLine("Usage: Tif.exe [1|2|3]")
			Exit Sub
		End If

		'インスタンス
		Dim imgr As PdfImager = New PdfImager()

		'初期化
		imgr.Initialize("0-xxxx-7E5E0704GRER")

		'オープン
		imgr.OpenDoc("in.pdf", "", "")

		'色空間
#If True Then
		imgr.SetPictureRGB()
#ElseIf False Then
		imgr.SetPictureCMYK()
#ElseIf False Then
		imgr.SetPictureGray()
#ElseIf False Then
		imgr.SetPictureDither()
#ElseIf False Then
		imgr.SetPictureBW()
#ElseIf False Then
		imgr.SetPictureFaxG3()
#ElseIf False Then
		imgr.SetPictureFaxG4()
#End If

		'画像作成
		Select Case args.First().Substring(0, 1)
			Case "1"
				imgr.CreatePict(1, "out.tiff")
			Case "2"
				imgr.CreateTiffRange(1, -1, "out.tiff")
			Case Else
				imgr.CreateTiffMulti("1,4-6", "out.tiff")
		End Select

		'後始末
		imgr.CloseDoc()
		imgr.Uninitialize()
	End Sub

End Module
